Subject: bug#7522: 24.0.50; point after `clear-rectangle' and `string-rectangle'

From: Johan Bockgård <[email-masked]>
Date: Thu, 06 Jan 2011 13:54:07 +0100

"Drew Adams" <[email-masked]> writes:

> Select a rectangle, with point at the lower right corner and mark at
> the upper left. Then C-x r t. Type `EEE' as the string to replace each
> row of the rectangle.
>
> The cursor is left at the beginning, not the end, of the `EEE' string
> on the last row. IOW, a rectangle of E's replaces the selected
> rectangle, but point is now at neither the upper left nor the lower
> right.

I agree that this is annoying.

Also, undoing the replacement doesn't move point back to where it was
before.